#!/bin/sh
if [ -z "$nt" ]
then
  echo "Please set nt to the number of time steps"
  exit -1
fi
grads -b -l <<EOF
sdfopen uflx.sfc.mon.mean.nc
sdfopen vflx.sfc.mon.mean.nc
set t 1 $nt
set x 0 193
define curl = hcurl(uflx.1,vflx.2)
set x 1 192
set gxout fwrite
set fwrite ncurl.grd
d curl
quit
EOF
cat > ncurl.ctl <<EOF
DSET ^ncurl.grd
TITLE curl of wind stress from NCEP/NCAR reanalysis
OPTIONS LITTLE_ENDIAN
UNDEF -9.96921e+36
XDEF 192 linear 0 1.875
YDEF 94 levels -88.542 -86.6531 -84.7532 -82.8508 -80.9473 -79.0435 -77.1394 -75.2351
 -73.3307 -71.4262 -69.5217 -67.6171 -65.7125 -63.8079 -61.9033 -59.9986 -58.0939 -56.1893
 -54.2846 -52.3799 -50.4752 -48.5705 -46.6658 -44.7611 -42.8564 -40.9517 -39.047 -37.1422
 -35.2375 -33.3328 -31.4281 -29.5234 -27.6186 -25.7139 -23.8092 -21.9044 -19.9997 -18.095
 -16.1902 -14.2855 -12.3808 -10.476 -8.57131 -6.66657 -4.76184 -2.8571 -0.952368 0.952368
 2.8571 4.76184 6.66657 8.57131 10.476 12.3808 14.2855 16.1902 18.095 19.9997
 21.9044 23.8092 25.7139 27.6186 29.5234 31.4281 33.3328 35.2375 37.1422 39.047
 40.9517 42.8564 44.7611 46.6658 48.5705 50.4752 52.3799 54.2846 56.1893 58.0939
 59.9986 61.9033 63.8079 65.7125 67.6171 69.5217 71.4262 73.3307 75.2351 77.1394
 79.0435 80.9473 82.8508 84.7532 86.6531 88.542
ZDEF 1 linear 0 0
TDEF $nt linear 00Z01JAN1948 1mo
VARS 1
curl 0 99 curl of wind stress [Pa/m]
ENDVARS
EOF
